body{
    width: 100%;
    background-repeat: no-repeat;
    background-image: linear-gradient(to right, black, var(--mb));
    /* Additional styles to ensure proper layout */
    box-sizing: border-box; /* Reset box-sizing property */
    padding: 0; /* Reset padding */
    margin: 0; /* Reset margin */
}

a{
    cursor: pointer;
}
.main-home a{
    color: var(--db);
}

.main {
    position: relative;
    width: 100%;
    background: url(../images/home.png) top / cover no-repeat;
    margin-top: 89px;
    height: 128vh;
}
.main::before {
    content: ''; /* Required for pseudo-element */
    position: absolute;
    width: 100%;
    height: 100%;
    background: linear-gradient(to right, rgba(0, 0, 0, 0.8),  rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0)); /* Degrading shadow */
    pointer-events: none; /* Ensures pointer events go through to the content */
}
.main-home h1{
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.4);
    padding-top: 200px;
    padding-left: 12vw;
    color: var(--co);
    font-family: roboto;
    position: relative;
    font-weight: 600;
    font-size: 5vw;
    line-height: 5vw;
    animation-duration: 2s;
    animation-name: slidein;
}

.main a {
    position: relative;
    margin-left: 12vw;
    margin-top: 20px;
    text-shadow: none;
    font-size: 3vw;
    display: inline-block; /* Change to inline-block for better control over padding */
    background-color: var(--co);
    padding: 20px;
    border-radius: 2vw;
    font-family: roboto;
    transition: background-color 0.5s, color 0.5s;
    animation-duration: 2s;
    animation-name: slidein;
}
.main a:hover {
    background-color: var(--db); /* Change background color on hover */
    color: var(--co); /* Change text color on hover */
}
@keyframes slidein {
    from{
        right: 50%;
    }
    to{
        right: 0%;
    }
}
.main-quote{
    margin-top: -30%;
    margin-left: 67%;
}

.main-quote p {
    font-size: 18px;
    line-height: 30px;
    color: white;
    width: fit-content;
    font-family: roboto;
    z-index: 1;
    padding: 20px;
    margin: 40px 0;
    background-color: rgba(2, 48, 71, 0.5);
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.2);
    border-radius: 0 20px 20px 0;
    position: relative; /* Required for positioning pseudo-element */
    animation-duration: 2s;
    animation-name: sli;
}

@keyframes sli{
    from{
        left: 50%;
    }
    to{
        left: 0%;
    }
}

.main-quote p:nth-child(2) {
    margin-left:90px; 
}

.main-quote p::before {
    content: '';
    position: absolute;
    top: 0;
    left: -10px; /* Adjust the distance of the margin from the left */
    height: 100%;
    width: 10px; /* Width of the orange margin */
    background-color: var(--co); /* Orange color */
    border-radius: 20px 0 0 20px; /* Ensure rounded border on the left*/
}

.line{
    width: 100%;
    height: 6px;
    background-image: linear-gradient(to right, var(--co), var(--cy));
}

section{
    width: 100%;
    height: fit-content;
}
.info{
    display: flex;
    flex-direction: row;
    border-radius: 40px;
    width: fit-content;
    margin: 40px 20px 40px 20px;
    background-image: linear-gradient(to right, var(--co), var(--cy));
}
.g1{
    display: flex;
    flex-direction: column;
    flex-grow: 4;
}
.h1{
    text-align: center;
    font-size: 45px;
    font-family: roboto;
    color: var(--db);
    font-weight: 800;
    margin: 10px 20px 0px 40px;
}
.b1{
    margin: 0px 10px 0px 40px;
    display: flex;
    flex-direction: row;
}
.info ul{
    color: var(--db);
    list-style-type: disc;
    font-family: roboto;
    font-size: 15px;
    font-weight: 400;
}
.info ul li{
    margin-top: 10px;
}
.l1, .l2{
    margin: 10px;
}
strong{
    font-family: roboto;
    font-size: 16px;
    font-weight: 700;
}
.main-form{
    margin: 20px;
    border-radius: 25px;
    background-color: var(--db);
    flex-grow: 6;
}
.donate-amounts {
    font-family: roboto;
    width: 35vw;
    margin: 20px;
    display: flex;
    justify-content: space-between;
    transition: background-color 0.5s, color 0.5s;
}
.donate-button {
    font-family: roboto;
    width: calc(25% - 10px);
    color: var(--co);
    padding: 10px;
    border: 2px solid var(--co);
    border-radius: 4px;
    cursor: pointer;
    font-size: 20px;
    font-weight: 500;
    text-align: center;
    transition: background-color 0.5s, color 0.5s;
}
.main-form h2 {
    text-align: center;
    color: var(--co);
    font-family: roboto;
    font-size: 40px;
    font-weight: 500;
    margin-top: 30px;
}
.donate{
    font-family: roboto;
    margin: 0px 20px 20px 20px;
    width: 35vw;
    color: var(--co);
    padding: 10px;
    border: 2px solid var(--co);
    border-radius: 4px;
    cursor: pointer;
    font-size: 20px;
    font-weight: 500;
    text-align: center;
    transition: background-color 0.5s, color 0.5s;
}

.donate.selected{
    background-color: var(--co);
    color: var(--db);
}

.donate:hover{
    background-color: var(--co);
    color: var(--db);
}
  
.donate-button.selected {
    background-color: var(--co);
    color: var(--db);
}
  
.donate-button:hover {
    background-color: var(--co);
    color: var(--db);
}
.f1{
    margin: 20px 0px 20px 0px;
    text-align: center;
}
.info a{
    border: 2px solid var(--db);
    padding: 10px;
    border-radius: 15px;
    transition: background-color 0.5s, color 0.5s;
}

.info a:hover{
    color: var(--co);
    background-color: var(--db);
    cursor: pointer;
}
button{
    border-style: none;
    font-family: roboto;
    font-size: 18px;
    font-weight: 400;
    color: var(--db);
    background-color: transparent;
}
.learn:hover{
    color: var(--co);
}

@media (max-width:1300px) {
    .main-quote p{
        display: none;
    }
    .main-home h1{
        padding-top: 160px;
        padding-left: 10vw;
    }
    .main-home a{
        margin-left: 10vw;
    }
}

@media (max-width:1200px) {
    .info{
        flex-direction: column;
    }
    .donate-amounts, .donate{
        width: 86vw;
    }
}
@media (max-width:720px) {
    .info{
        width: 92vw;
    }
    .b1{
        flex-direction: column;
        margin: 0px;
    }
    .l1, .l2{
        margin: 0 20px 0 40px;
    }
    .donate-amounts, .donate{
        width: 79vw;
    }
    .main-home h1, .main-home a{
        font-size: 6vw;
        line-height: 7vw;
    }
}
@media (max-width:400px) {
    .h1{
        font-size: 10vw;
    }
    .donate-amounts, .donate{
        width: 70vw;
    }
    .donate-button{
        font-size: 12px;
    }
}
